/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
* {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0); /* make transparent link selection, adjust last value opacity 0 to 1.0 */
}

body {
    -webkit-touch-callout: none; /* prevent callout to copy image, etc when tap to hold */
    -webkit-text-size-adjust: none; /* prevent webkit from resizing text to fit */
    -webkit-user-select: none; /* prevent copy paste, to allow, change 'none' to 'text' */
    background-color: #E4E4E4;
    font-family: system-ui, -apple-system, -apple-system-font, 'Segoe UI', 'Roboto', sans-serif;
    font-size: 16px;
    height: 100vh;
    margin: 0px;
    padding: 0px;
    /* Padding to avoid the "unsafe" areas behind notches in the screen */
    padding: env(safe-area-inset-top, 0px) env(safe-area-inset-right, 0px) env(safe-area-inset-bottom, 0px) env(safe-area-inset-left, 0px);
    text-transform: uppercase;
    width: 100%;
}

/* Portrait layout (default) */
.app {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    align-items: center;
}

/* Landscape layout (with min-width) */
@media screen and (min-aspect-ratio: 1/1) and (min-width: 400px) {
    .app {
        background-position: left center;
        padding: 75px 0px 75px 170px; /* padding-top + padding-bottom + text area = image height */
        margin: -90px 0px 0px -198px; /* offset vertical: half of image height */
        /* offset horizontal: half of image width and text area width */
    }
}

h1 {
    font-size: 24px;
    font-weight: normal;
    margin: 0px;
    overflow: visible;
    padding: 0px;
    text-align: center;
}

.button {
    background-color: #6B5497; /* Green */
    border-radius: 8px;
    align-self: center;
    box-shadow: 2px 4px #888888;
    border: none;
    color: white;
    width: 240px;
    margin-top: 30px;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}

.button-active {
    background-color: #8a75b2; /* Green */
    border-radius: 8px;
    align-self: center;
    box-shadow: 0 0;
    border: none;
    color: white;
    width: 240px;
    margin-top: 30px;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}

#upi_icon_containers {
    display: flex;
    width: 100%;
    padding: 16px;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: center;
}

.round_icon_buttons {
    display: flex;
    margin: 16px;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.upi_icons_text {
    margin-top: 8px;
    font-size: 12px;
    text-align: center;
    font-weight: bold;
}

.upi_app_not_found {
    font-size: 24px;
    justify-content: center;
    align-content: center;
}

.upi_image {
    width: 50px;
    height: 50px;
}

.spinner {
    margin: 16px;
    width: 50px;
    height: 50px;
}

#response_text {
    justify-content: center;
    margin-left: 24px;
    margin-right: 24px;
    font-size: 16px;
}


@media screen and (prefers-color-scheme: dark) {
    body {
        background-image: linear-gradient(to bottom, #585858 0%, #1B1B1B 51%);
    }
}
